# ConfigSerializer
Date: 2020-04-18

me.legofreak107.vehiclesplus.libraries.serialization.config

## Class ConfigSerializer

- java.lang.Object
- - me.legofreak107.vehiclesplus.libraries.serialization.config.ConfigSerializer

    public class ConfigSerializer
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ConfigSerializer()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.Object` `getClassFromYml(org.bukkit.configuration.file.FileConfiguration config, java.lang.String path, java.lang.Boolean includeNormalSerializerTag)`
`static void` `saveClassToYml(org.bukkit.configuration.file.FileConfiguration config, java.lang.String path, java.lang.Object toSave, boolean includeNormalSerializerTag)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigSerializer

    public ConfigSerializer()

### Method Detail

#### saveClassToYml

    public static void saveClassToYml(org.bukkit.configuration.file.FileConfiguration config,
                                      java.lang.String path,
                                      java.lang.Object toSave,
                                      boolean includeNormalSerializerTag)
                               throws java.lang.IllegalAccessException

Throws:
  `java.lang.IllegalAccessException`

#### getClassFromYml

    public static java.lang.Object getClassFromYml(org.bukkit.configuration.file.FileConfiguration config,
                                                   java.lang.String path,
                                                   java.lang.Boolean includeNormalSerializerTag)
                                            throws java.lang.ClassNotFoundException,
                                                   java.lang.IllegalAccessException,
                                                   java.lang.InstantiationException

Throws:
  `java.lang.ClassNotFoundException`
  `java.lang.IllegalAccessException`
  `java.lang.InstantiationException`